Subject: bug#27067: Feature request: please allow for either automatic logging of all output of every guix commands or add an option to each guix command to allow it for all to be logged

From: Brenton Horne <[email-masked]>
Date: Fri, 26 May 2017 06:33:32 +1000

This feature request isn't specific to guix build (it was low priority to
me as I knew it at least had the ability to log, thanks for telling me it
automatically does but it doesn't really change this feature request), it's
asking for all guix commands with substantial output to automatically log.
I have never run guix build, but I know that some guix commands run for a
very long time and if they fail and do not log it, it can be quite
irritating to have to re-run it and use tee to log its output. For example,
`guix pull && guix package -u` has taken up to 12 hours to run for me
before, so if it fails and doesn't log it can be quite an irritating waste
of time and deter people from filing invaluable bug reports about issues
they've experienced with guix.

On 26 May 2017 at 06:10, Ricardo Wurmus <[email-masked]> wrote:

>
> Brenton Horne <[email-masked]> writes:
>
> > As I understand it only the guix build command has an option to log
> output
> > to a file.
>
> Actually, the output of “guix build” is indeed stored by default.
> You can get it by asking for the logs for a given derivation.
>
> For example:
>
>     # build something, please
>     guix build --no-substitutes samtools
>     …
>     # show me the derivation
>     guix build -d samtools
>     # show me the location of the matching log
>     guix build --log-file $(guix build -d samtools)
>
> Does this solve the feature request?
>
> --
> Ricardo
>
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
>
>

-- 
Thanks for your time,
Brenton